HanMacWrdJTextInternal::SubDocument Class Reference documentation

Public Member Functions | Protected Types | Protected Attributes | Private Member Functions | List of all members
HanMacWrdJTextInternal::SubDocument Class Reference

Internal: the subdocument of a HanMacWrdJText. More...

Inheritance diagram for HanMacWrdJTextInternal::SubDocument:

## Public Member Functions
| SubDocument (HanMacWrdJText &pars, MWAWInputStreamPtr input, long id, long cPos=0)
| constructor to call a textzone More...
| SubDocument (HanMacWrdJText &pars, MWAWInputStreamPtr input, std::string const &text)
| constructor to send a string More...
virtual | ~SubDocument ()
| destructor More...
virtual bool | operator!= (MWAWSubDocument const &doc) const
| operator!= More...
virtual bool | operator== (MWAWSubDocument const &doc) const
| operator!== More...
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type)
| the parser function More...
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...

## Protected Types
enum | Type { S_TextZone, S_String }
| the subdocument type More...

## Protected Attributes
Type | m_type
| the subdocument type More...
HanMacWrdJText * | m_textParser
| the text parser More...
long | m_id
| the subdocument id More...
long | m_cPos
| the first charecter position More...
std::string | m_bookmark
| the bookmark string More...
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser More...
shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Private Member Functions
| SubDocument (SubDocument const &orig)
SubDocument & | operator= (SubDocument const &orig)

## Detailed Description

Internal: the subdocument of a HanMacWrdJText.

## Member Enumeration Documentation

## § Type

enum HanMacWrdJTextInternal::SubDocument::Type
| protected

the subdocument type

Enumerator
S_TextZone |
S_String |

## Constructor & Destructor Documentation

## § SubDocument() [1/3]

HanMacWrdJTextInternal::SubDocument::SubDocument | ( | HanMacWrdJText & | pars,
|  | MWAWInputStreamPtr | input,
|  | long | id,
|  | long | cPos = `0`
| ) |  |
| inline

constructor to call a textzone

## § SubDocument() [2/3]

HanMacWrdJTextInternal::SubDocument::SubDocument | ( | HanMacWrdJText & | pars,
|  | MWAWInputStreamPtr | input,
|  | std::string const & | text
| ) |  |
| inline

constructor to send a string

## § ~SubDocument()

virtual HanMacWrdJTextInternal::SubDocument::~SubDocument | ( |  | ) |
| inlinevirtual

destructor

## § SubDocument() [3/3]

HanMacWrdJTextInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |
| private

## Member Function Documentation

## § operator!=()

bool HanMacWrdJTextInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| virtual

operator!=

Reimplemented from MWAWSubDocument.

## § operator=()

SubDocument& HanMacWrdJTextInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |
| private

## § operator==()

virtual bool HanMacWrdJTextInternal::SubDocument::operator== | ( | MWAWSubDocument const & | doc | ) | const
| inlinevirtual

operator!==

## § parse()

void HanMacWrdJTextInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type
| ) |  |
| virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## § m_bookmark

std::string HanMacWrdJTextInternal::SubDocument::m_bookmark
| protected

the bookmark string

Referenced by operator!=().

## § m_cPos

long HanMacWrdJTextInternal::SubDocument::m_cPos
| protected

the first charecter position

Referenced by operator!=().

## § m_id

long HanMacWrdJTextInternal::SubDocument::m_id
| protected

the subdocument id

Referenced by operator!=().

## § m_textParser

HanMacWrdJText* HanMacWrdJTextInternal::SubDocument::m_textParser
| protected

the text parser

Referenced by operator!=().

## § m_type

Type HanMacWrdJTextInternal::SubDocument::m_type
| protected

the subdocument type

Referenced by operator!=().

The documentation for this class was generated from the following file:

- HanMacWrdJText.cxx